{dataset_name}: Get elevation for locations (POST)

API: opentopodata.org:open-topo-data
Endpoint: /v1/{dataset_name}
Response format: unknown
Auth: unknown
Method: POST
Last Status: 400
Latency: 178ms

Description

Same as GET but accepts JSON or form-encoded body for large queries. Useful when the URL would be too long.

Parameters (1)

dataset_name (string, path, required)

Name of the elevation dataset to query

Examples (1)

Get elevation for locations (POST) openapi-spec
curl 'https://api.opentopodata.org/v1/srtm90m' \
  -X POST
import requests

resp = requests.post("https://api.opentopodata.org/v1/srtm90m")
data = resp.json()
import zingu_apis

api = zingu_apis.api("opentopodata")
result = api.get("v1/{dataset_name}")

for item in result:
    print(item)
const resp = await fetch("https://api.opentopodata.org/v1/srtm90m", {
  method: "POST",
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:10:11.671225 400 178ms
2026-04-15 00:41:41.297951 400 182ms
2026-04-14 01:09:52.565656 400 188ms
2026-04-12 14:29:45.137699 400 518ms
2026-04-10 02:52:23.882173 400 128ms
2026-04-09 00:35:35.177910 400 197ms